Transport Layer Security (TLS) 1.2 upgrade

What we're doing and when

At the beginning of August 2019, we’re upgrading to TLS 1.2. This means we’ll stop supporting TLS versions 1.0 and 1.1.

Why we're upgrading to TLS 1.2

We’re upgrading to TLS 1.2 because Microsoft has stopped supporting versions 1.0 and 1.1. At the moment, there are no known security issues with 1.0 and 1.1. But as Microsoft no longer supports these older versions, there could be security issues in the future.

What this means for website users

You may not be able to access the NICE website or apps after August 2019 if you have:

  • a personal computer with an old operating system
  • a website browser that isn’t up to date
  • a smartphone using an old version of the Android operating system or Apple iOS.

If any of the above apply to you, you may need to update your browser.

How to update your browser

Keeping your web browser updated is important for security reasons. It also means you don't miss out on useful new features.

Find out how to update your browser.

If you can't update your own browser settings, contact your IT department for help.

If you have any concerns or questions, contact us.